ur_rna.Utilities.swing

## Enum ActionHelper.KeyBindFocus

- java.lang.Object
- - java.lang.Enum<ActionHelper.KeyBindFocus>
  - - ur_rna.Utilities.swing.ActionHelper.KeyBindFocus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ActionHelper.KeyBindFocus>
  Enclosing class:
    ActionHelper

      public static enum ActionHelper.KeyBindFocus
      extends java.lang.Enum<ActionHelper.KeyBindFocus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Child` The component or any of its child components must have the focus
    `Self` The component itself must have the focus
    `Window` The component's top-level window must have the focus

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActionHelper.KeyBindFocus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ActionHelper.KeyBindFocus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Child

          public static final ActionHelper.KeyBindFocus Child

      The component or any of its child components must have the focus

    - #### Self

          public static final ActionHelper.KeyBindFocus Self

      The component itself must have the focus

    - #### Window

          public static final ActionHelper.KeyBindFocus Window

      The component's top-level window must have the focus

  - ### Field Detail

    - #### value

          public final int value

  - ### Method Detail

    - #### valueOf

          public static ActionHelper.KeyBindFocus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static ActionHelper.KeyBindFocus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActionHelper.KeyBindFocus c : ActionHelper.KeyBindFocus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared